<?php

/* creates a null-implementation of the FirePHP FB:: namespace, so we can leave the debug expressions
 * in the code but completely nix their effect, even outside of disabling the logging. this then 
 * means we can disable FirePHP includes in production code without getting script errors
 *
 * KodiakJP
 */

class FB
{
    public static function setEnabled($Enabled) { }
    public static function getEnabled() { return false; }  
    public static function setObjectFilter($Class, $Filter) { }
    public static function setOptions($Options) { }
    public static function getOptions() { return null; }
    public static function send() { }
    public static function group($Name, $Options=null) { }
    public static function groupEnd() { }
    public static function log($Object, $Label=null) { }
    public static function info($Object, $Label=null) { }
    public static function warn($Object, $Label=null) { }
    public static function error($Object, $Label=null) { }
    public static function dump($Key, $Variable) { }
    public static function trace($Label) { }
    public static function table($Label, $Table) { }
}
